Bug 189556 - If using non standard up2date spool directory (i.e. NFS mount) and the directory is not available up2date displays an incorrect error message
Summary: If using non standard up2date spool directory (i.e. NFS mount) and the direct...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
: ---
Assignee: Clifford Perry
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-21 01:43 UTC by Colin Coe
Modified: 2012-06-20 16:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 16:02:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Colin Coe 2006-04-21 01:43:28 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Unmount up2date spool directory
2. Run 'up2date -l'

  
Actual results:
Regardless of the actually spool directory location, up2date will always
complain about /var/spool/up2date not being available.

The following is the last few lines of a 'strace -s1500 up2date -l':
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb75bb000, 4096)                = 0
geteuid32()                             = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
access("/stage/up2date/rhel-i386-es-4/", X_OK) = -1 ENOENT (No such file or
directory)
write(1, "The storage directory /var/spool/up2date could not be found, or was
not\naccessable.", 83The storage directory /var/spool/up2date could not be
found, or was not
accessable.) = 83
write(1, "\n", 1
)                       = 1
rt_sigaction(SIGINT, NULL, {0x809eb30, [], SA_RESTORER, 0x3f0f88}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, NULL, 8) = 0
exit_group(1)                           = ?

Expected results:
An error stating '/stage/up2date/rhel-i386-es-4/' was not found.

Additional info:

Comment 1 Frank Dabelstein 2006-06-22 17:36:29 UTC
Another way to describe the problem:

If /etc/sysconfig/rhn/up2date contains the line:
storageDir=/path/to/nonexistingdir
up2date will report
"The storage directory /var/spool/up2date could not be
found, or was not accessable"
It should read:
"The storage directory /path/to/nonexistingdir could not be
found, or was not accessable"

Comment 2 Red Hat Bugzilla 2007-04-12 00:39:18 UTC
User bnackash@redhat.com's account has been closed

Comment 3 Jiri Pallich 2012-06-20 16:02:53 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.